=== debian/changelog ===
bup (0.14a-2) unstable; urgency=low

  * Add git to Build-Depends. Thanks Laurent Fousse. Closes: #584248

 -- Jon Dowland <jmtd@debian.org>  Wed, 02 Jun 2010 22:40:49 +0100

bup (0.14a-1) unstable; urgency=low

  * Initial release. Closes: #564600

 -- Jon Dowland <jmtd@debian.org>  Thu, 01 Apr 2010 10:05:55 +0100
