=== debian/changelog ===
bup (0.17b-2squeeze1) testing-proposed-updates; urgency=low

  * use python-support to tightly version python dependency,
    needed due to the binary extensions. Thanks Jakub Wilk.
    Closes: #608568.

 -- Jon Dowland <jmtd@debian.org>  Mon, 03 Jan 2011 10:31:55 +0000

bup (0.17b-2) unstable; urgency=low

  * add git as a build dependency. Closes: #595949
  * bump standards version.

 -- Jon Dowland <jmtd@debian.org>  Tue, 07 Sep 2010 22:08:48 +0100

bup (0.17b-1) unstable; urgency=low

  * New upstream version.
  * document package VCS in control file

 -- Jon Dowland <jmtd@debian.org>  Tue, 07 Sep 2010 17:03:28 +0100
