=== debian/changelog ===
bup (0.20-1) unstable; urgency=low

  * new upstream version.

 -- Jon Dowland <jmtd@debian.org>  Fri, 17 Dec 2010 23:52:43 +0000
