=== debian/control ===
Source: bup
Section: admin
Priority: extra
Maintainer: Jon Dowland <jmtd@debian.org>
Build-Depends: debhelper (>= 7.0.50~), pandoc, python-dev,
 git (>= 1:1.7.0.4-2) | git-core
Standards-Version: 3.9.1
Homepage: http://github.com/apenwarr/bup
Vcs-Git: git://git.debian.org/collab-maint/bup.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/bup.git;a=shortlog;h=refs/heads/debian

Package: bup
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 python, git (>= 1:1.7.0.4-2) | git-core, python-fuse,
 python-tornado (>= 1.0.1-1)
Recommends: par2
Description: highly efficient file backup system based on git
 bup is a backup tool which stores the backups in a system based around
 the packfile format from git.
