## bup 0.22a

=== Makefile ===
--- 
+++ 
@@ -83,7 +83,7 @@
 runtests: all runtests-python runtests-cmdline
 
 runtests-python:
-	$(PYTHON) wvtest.py $(wildcard t/t*.py lib/*/t/t*.py)
+	$(PYTHON) wvtest.py t/t*.py lib/*/t/t*.py
 
 runtests-cmdline: all
 	t/test.sh
@@ -103,7 +103,9 @@
 	rm -f $@
 	ln -s $< $@
 
-cmds: $(patsubst cmd/%-cmd.py,cmd/bup-%,$(wildcard cmd/*-cmd.py))
+cmds: \
+    $(patsubst cmd/%-cmd.py,cmd/bup-%,$(wildcard cmd/*-cmd.py)) \
+    $(patsubst cmd/%-cmd.sh,cmd/bup-%,$(wildcard cmd/*-cmd.sh))
 
 cmd/bup-%: cmd/%-cmd.py
 	rm -f $@
@@ -116,6 +118,10 @@
 bup-%: cmd-%.sh
 	rm -f $@
 	ln -s $< $@
+
+cmd/bup-%: cmd/%-cmd.sh
+	rm -f $@
+	ln -s $*-cmd.sh $@
 
 %.o: %.c
 	gcc -c -o $@ $< $(CPPFLAGS) $(CFLAGS)
