=== debian/changelog ===
bup (0.22a-1) unstable; urgency=low

  * New upstream version. Closes: #610690.

 -- Jon Dowland <jmtd@debian.org>  Mon, 07 Feb 2011 22:40:44 +0000

bup (0.20-2) unstable; urgency=low

  * use python-support to tightly version python dependency,
    needed due to the binary extensions. Thanks Jakub Wilk.
    Closes: #608568.

 -- Jon Dowland <jmtd@debian.org>  Sun, 02 Jan 2011 20:17:40 +0000
