=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: admin
 Priority: extra
 Maintainer: Jon Dowland <jmtd@debian.org>
-Build-Depends: debhelper (>= 7.0.50~), pandoc, python-dev,
+Build-Depends: debhelper (>= 7.0.50~), pandoc, python-dev, python-support,
  git (>= 1:1.7.0.4-2) | git-core
 Standards-Version: 3.9.1
 Homepage: http://github.com/apenwarr/bup
@@ -11,7 +11,7 @@
 
 Package: bup
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends},
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
  python, git (>= 1:1.7.0.4-2) | git-core, python-fuse,
  python-tornado (>= 1.0.1-1)
 Recommends: par2
