## bup 0.24b

=== Makefile ===
--- 
+++ 
@@ -1,19 +1,8 @@
 OS:=$(shell uname | sed 's/[-_].*//')
-CFLAGS=-Wall -g -O2 -Werror $(PYINCLUDE) -g
-ifneq ($(OS),CYGWIN)
-  CFLAGS += -fPIC
-endif
-SHARED=-shared
+CFLAGS:=-Wall -O2 -Werror $(PYINCLUDE)
 SOEXT:=.so
 
-ifeq (${OS},Darwin)
-  MACHINE:=$(shell arch)
-  CFLAGS += -arch $(MACHINE)
-  SHARED = -dynamiclib
-endif
 ifeq ($(OS),CYGWIN)
-  LDFLAGS += -L/usr/bin
-  EXT:=.exe
   SOEXT:=.dll
 endif
 
@@ -71,7 +60,7 @@
 lib/bup/_helpers$(SOEXT): \
 		lib/bup/bupsplit.c lib/bup/_helpers.c lib/bup/csetup.py
 	@rm -f $@
-	cd lib/bup && $(PYTHON) csetup.py build
+	cd lib/bup && LDFLAGS="$(LDFLAGS)" CFLAGS="$(CFLAGS)" $(PYTHON) csetup.py build
 	cp lib/bup/build/*/_helpers$(SOEXT) lib/bup/
 
 .PHONY: lib/bup/_version.py
@@ -95,9 +84,6 @@
 	./wvtestrun $(MAKE) PYTHON=$(PYTHON) runtests
 
 check: test
-
-%: %.o
-	$(CC) $(CFLAGS) (LDFLAGS) -o $@ $^ $(LIBS)
 
 bup: main.py
 	rm -f $@
@@ -123,9 +109,6 @@
 	rm -f $@
 	ln -s $*-cmd.sh $@
 
-%.o: %.c
-	gcc -c -o $@ $< $(CPPFLAGS) $(CFLAGS)
-	
 # update the local 'man' and 'html' branches with pregenerated output files, for
 # people who don't have pandoc (and maybe to aid in google searches or something)
 export-docs: Documentation/all
@@ -155,10 +138,13 @@
 	git archive origin/html | (cd Documentation; tar -xvf -)
 	git archive origin/man | (cd Documentation; tar -xvf -)
 
+# tgit.py plays with permissions on lib/bup/t/pybuptest.tmp, so we should
+# ensure that we can delete the directory before doing it.
 clean: Documentation/clean
 	rm -f *.o lib/*/*.o *.so lib/*/*.so *.dll *.exe \
 		.*~ *~ */*~ lib/*/*~ lib/*/*/*~ \
 		*.pyc */*.pyc lib/*/*.pyc lib/*/*/*.pyc \
 		bup bup-* cmd/bup-* lib/bup/_version.py randomgen memtest \
 		out[12] out2[tc] tags[12] tags2[tc]
+	[ -d lib/bup/t/pybuptest.tmp ] && chmod u+rwx lib/bup/t/pybuptest.tmp || true
 	rm -rf *.tmp t/*.tmp lib/*/*/*.tmp build lib/bup/build
