=== debian/changelog ===
bup (0.24b-1) unstable; urgency=low

  * New upstream version.
  * bump standards version.

 -- Jon Dowland <jmtd@debian.org>  Fri, 08 Jul 2011 09:55:48 +0100

bup (0.21-1) unstable; urgency=low

  * New upstream version. Closes: #610690.

 -- Jon Dowland <jmtd@debian.org>  Mon, 24 Jan 2011 22:47:11 +0000
