=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Jon Dowland <jmtd@debian.org>
 Build-Depends: debhelper (>= 7.0.50~), pandoc, python-dev, python-support,
  git (>= 1:1.7.0.4-2) | git-core
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Homepage: http://github.com/apenwarr/bup
 Vcs-Git: git://git.debian.org/collab-maint/bup.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/bup.git;a=shortlog;h=refs/heads/debian
