## bup 0.25~git2011.11.04

=== Makefile ===
--- 
+++ 
@@ -16,10 +16,11 @@
 
 INSTALL=install
 PYTHON=python
-MANDIR=$(DESTDIR)/usr/share/man
-DOCDIR=$(DESTDIR)/usr/share/doc/bup
-BINDIR=$(DESTDIR)/usr/bin
-LIBDIR=$(DESTDIR)/usr/lib/bup
+PREFIX=/usr
+MANDIR=$(DESTDIR)$(PREFIX)/share/man
+DOCDIR=$(DESTDIR)$(PREFIX)/share/doc/bup
+BINDIR=$(DESTDIR)$(PREFIX)/bin
+LIBDIR=$(DESTDIR)$(PREFIX)/lib/bup
 install: all
 	$(INSTALL) -d $(MANDIR)/man1 $(DOCDIR) $(BINDIR) \
 		$(LIBDIR)/bup $(LIBDIR)/cmd $(LIBDIR)/tornado \
@@ -56,11 +57,17 @@
 
 %/clean:
 	$(MAKE) -C $* clean
+	
+config/config.h: config/Makefile config/configure config/configure.inc \
+		$(wildcard config/*.in)
+	cd config && make config.h
 
 lib/bup/_helpers$(SOEXT): \
+		config/config.h \
 		lib/bup/bupsplit.c lib/bup/_helpers.c lib/bup/csetup.py
 	@rm -f $@
-	cd lib/bup && LDFLAGS="$(LDFLAGS)" CFLAGS="$(CFLAGS)" $(PYTHON) csetup.py build
+	cd lib/bup && \
+	LDFLAGS="$(LDFLAGS)" CFLAGS="$(CFLAGS)" $(PYTHON) csetup.py build
 	cp lib/bup/build/*/_helpers$(SOEXT) lib/bup/
 
 .PHONY: lib/bup/_version.py
@@ -72,10 +79,15 @@
 runtests: all runtests-python runtests-cmdline
 
 runtests-python:
-	$(PYTHON) wvtest.py t/t*.py lib/*/t/t*.py
+	$(PYTHON) wvtest.py \
+		$(wildcard t/t*.py) \
+		$(filter-out lib/bup/t/tmetadata.py,$(wildcard lib/*/t/t*.py))
+	[ -z "${TEST_META}" ] || \
+	$(PYTHON) wvtest.py lib/bup/t/tmetadata.py
 
 runtests-cmdline: all
 	t/test.sh
+	[ -z "${TEST_META}" ] || t/test-meta.sh
 
 stupid:
 	PATH=/bin:/usr/bin $(MAKE) test
@@ -138,13 +150,13 @@
 	git archive origin/html | (cd Documentation; tar -xvf -)
 	git archive origin/man | (cd Documentation; tar -xvf -)
 
-# tgit.py plays with permissions on lib/bup/t/pybuptest.tmp, so we should
-# ensure that we can delete the directory before doing it.
 clean: Documentation/clean
-	rm -f *.o lib/*/*.o *.so lib/*/*.so *.dll *.exe \
+	rm -f *.o lib/*/*.o *.so lib/*/*.so *.dll lib/*/*.dll *.exe \
 		.*~ *~ */*~ lib/*/*~ lib/*/*/*~ \
 		*.pyc */*.pyc lib/*/*.pyc lib/*/*/*.pyc \
 		bup bup-* cmd/bup-* lib/bup/_version.py randomgen memtest \
-		out[12] out2[tc] tags[12] tags2[tc]
-	[ -d lib/bup/t/pybuptest.tmp ] && chmod u+rwx lib/bup/t/pybuptest.tmp || true
+		out[12] out2[tc] tags[12] tags2[tc] \
+		testfs.img lib/bup/t/testfs.img
 	rm -rf *.tmp t/*.tmp lib/*/*/*.tmp build lib/bup/build
+	if test -e testfs; then rmdir testfs; fi
+	if test -e lib/bup/t/testfs; then rmdir lib/bup/t/testfs; fi
