=== debian/changelog ===
bup (0.25~git2011.11.04-5.1) unstable; urgency=low

  * Non-maintainer upload.
  * Recent version of Git expects that the commit username is not empty,
    whereas bup was using GECOS field which may be empty, thus tests
    executed at build time were broken. Closes: #702769.

 -- Arnaud Fontaine <arnau@debian.org>  Mon, 18 Mar 2013 16:49:50 +0900

bup (0.25~git2011.11.04-5) unstable; urgency=low

  * Add 0.22a-1 changelog entry to this file. Remove changelog
    entry for  0.21-1 which was never uploaded.  Closes: #665650.
  * The experimental upload appears to have worked!
    Closes: #664185, #668997.

 -- Jon Dowland <jmtd@debian.org>  Fri, 25 May 2012 11:55:14 +0100

bup (0.25~git2011.11.04-4) experimental; urgency=low

  * Bump standards version.
  * Skip 'make test' on s390 to avoid FTBFS. This might
    resolve #664185.
  * Adjust two 'asserts' to be side-effect free, so that
    users could run with PYTHONOPTIMIZE adjusted. This might
    resolve #668997.

 -- Jon Dowland <jmtd@debian.org>  Thu, 24 May 2012 09:43:28 +0100

bup (0.25~git2011.11.04-3) unstable; urgency=low

  * Add two patches from Gonéri Le Bouder to fix building
    on KFreeBSD. Boy, we have a lot of build failures.
    Thanks Gonéri! Closes: #651104.

 -- Jon Dowland <jmtd@debian.org>  Wed, 11 Jan 2012 21:34:48 +0000

bup (0.25~git2011.11.04-2) unstable; urgency=low

  * Add bloom-unaligned-bufs to the series file. Oops!
    Thanks Jakub Wilk. Closes: #641488.

 -- Jon Dowland <jmtd@debian.org>  Tue, 03 Jan 2012 20:48:36 +0000

bup (0.25~git2011.11.04-1) unstable; urgency=low

  [ Teemu Ikonen ]
  * New upstream version.
  * Add a proper patch 'no-werror' for the previous NMU, fixing FTBFS
    (closes: #643060).
  * Refresh patches 'mangle-version' and 'excise-tornado' to work
    with the new upstream version.
  * rules:
    - override dh_auto_configure: Call ./configure without arguments.
    - override dh_auto_clean: Remove files generated by configure.

  [ Jon Dowland ]
  * We've merged upstream commit 8953dc8 (a couple ahead of bup-0.25-rc1)
  * Acknowledge NMU.  Thanks Julien Cristau!
  * Don't use pandoc on architectures where it's missing.
    Thanks Julien Cristau. Closes: #641637.
  * New package should fix python dependency. Closes: #649351.
  * Fix an unaligned-access problem which caused FTBFS on SPARC.
    Thanks once again Julien Cristau. Closes: #641488.

 -- Jon Dowland <jmtd@debian.org>  Mon, 05 Dec 2011 15:44:38 +0000

bup (0.24b-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Don't build with -Werror, to fix build failure (closes: #633145)

 -- Julien Cristau <jcristau@debian.org>  Sat, 20 Aug 2011 19:31:19 +0200
