=== debian/control ===
--- 
+++ 
@@ -2,9 +2,11 @@
 Section: admin
 Priority: extra
 Maintainer: Jon Dowland <jmtd@debian.org>
-Build-Depends: debhelper (>= 7.0.50~), pandoc, python-dev, python-support,
+Build-Depends: debhelper (>= 7.0.50~),
+ pandoc [!ia64 !mipsel !s390 !hurd-i386],
+ python-dev, python-support,
  git (>= 1:1.7.0.4-2) | git-core
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://github.com/apenwarr/bup
 Vcs-Git: git://git.debian.org/collab-maint/bup.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/bup.git;a=shortlog;h=refs/heads/debian
