=== debian/rules ===
#!/usr/bin/make -f

override_dh_auto_configure:
	mv lib/bup/_version.py.pre lib/bup/_oldversion.py.pre
	cp -p debian/_version.py.pre lib/bup
	./configure

override_dh_auto_clean:
	-rm config/config.cmd config/config.h config/config.log config/config.mak config/config.md config/config.sub config/config.vars
	dh_auto_clean
	if test -f lib/bup/_oldversion.py.pre; then \
		mv lib/bup/_oldversion.py.pre lib/bup/_version.py.pre; \
	fi

override_dh_auto_test:
	if [ "`dpkg-architecture -qDEB_BUILD_ARCH`" != "s390" ]; then \
		dh_auto_test; \
	fi

%:
	dh $@
