## bup 0.25~git20130505

=== Makefile ===
--- 
+++ 
@@ -9,6 +9,7 @@
 default: all
 
 all: bup Documentation/all
+	t/configure-sampledata --setup
 
 bup: lib/bup/_version.py lib/bup/_helpers$(SOEXT) cmds
 
@@ -57,10 +58,10 @@
 
 %/clean:
 	$(MAKE) -C $* clean
-	
+
 config/config.h: config/Makefile config/configure config/configure.inc \
 		$(wildcard config/*.in)
-	cd config && make config.h
+	cd config && $(MAKE) config.h
 
 lib/bup/_helpers$(SOEXT): \
 		config/config.h \
@@ -78,16 +79,18 @@
 
 runtests: all runtests-python runtests-cmdline
 
-runtests-python:
+runtests-python: all
 	$(PYTHON) wvtest.py \
 		$(wildcard t/t*.py) \
 		$(filter-out lib/bup/t/tmetadata.py,$(wildcard lib/*/t/t*.py))
-	[ -z "${TEST_META}" ] || \
 	$(PYTHON) wvtest.py lib/bup/t/tmetadata.py
 
 runtests-cmdline: all
+	t/test-index-check-device.sh
+	t/test-meta.sh
+	t/test-restore-single-file.sh
+	t/test-rm-between-index-and-save.sh
 	t/test.sh
-	[ -z "${TEST_META}" ] || t/test-meta.sh
 
 stupid:
 	PATH=/bin:/usr/bin $(MAKE) test
@@ -150,13 +153,22 @@
 	git archive origin/html | (cd Documentation; tar -xvf -)
 	git archive origin/man | (cd Documentation; tar -xvf -)
 
-clean: Documentation/clean
+clean: Documentation/clean config/clean
 	rm -f *.o lib/*/*.o *.so lib/*/*.so *.dll lib/*/*.dll *.exe \
 		.*~ *~ */*~ lib/*/*~ lib/*/*/*~ \
 		*.pyc */*.pyc lib/*/*.pyc lib/*/*/*.pyc \
 		bup bup-* cmd/bup-* lib/bup/_version.py randomgen memtest \
 		out[12] out2[tc] tags[12] tags2[tc] \
 		testfs.img lib/bup/t/testfs.img
-	rm -rf *.tmp t/*.tmp lib/*/*/*.tmp build lib/bup/build
-	if test -e testfs; then rmdir testfs; fi
-	if test -e lib/bup/t/testfs; then rmdir lib/bup/t/testfs; fi
+	umount t/mnt/* || true
+	if test -e t/mnt; then rm -r t/mnt; fi
+        # FIXME: migrate these to t/mnt/
+	if test -e bupmeta.tmp/testfs; \
+	  then umount bupmeta.tmp/testfs || true; fi
+	if test -e lib/bup/t/testfs; \
+	  then umount lib/bup/t/testfs || true; fi
+	if test -e bupmeta.tmp/testfs-limited; \
+	  then umount bupmeta.tmp/testfs-limited || true; fi
+	rm -rf *.tmp *.tmp.meta t/*.tmp lib/*/*/*.tmp build lib/bup/build lib/bup/t/testfs
+	if test -e t/tmp; then rm -r t/tmp; fi
+	t/configure-sampledata --clean
