=== debian/changelog ===
bup (0.25~git20130505-1) unstable; urgency=low

  * Upload to unstable.
  * Merge upstream commit 6cf3688.
  * Push Debian source package changes to git.debian.org; closes: #704908.
  * Don't build docs on mips; closes: #704910.

 -- Robert S. Edmonds <edmonds@debian.org>  Mon, 06 May 2013 15:35:00 -0400

bup (0.25~git20130303-1) experimental; urgency=low

  * New maintainer; closes: #699163.
  * Merge upstream commit 7e9005e.
  * Convert from python-support to dh_python2.

 -- Robert S. Edmonds <edmonds@debian.org>  Sun, 03 Mar 2013 19:43:36 -0500

bup (0.25~git2011.11.04-6) experimental; urgency=low

  * Add --parallel to dh* calls to support parallel building.
  * Depend upon python-pyxattr and python-pylibacl so that "bup
    meta" works. Thanks Sascha Silbe. Closes: #692009.

 -- Jon Dowland <jmtd@debian.org>  Tue, 06 Nov 2012 22:50:59 +0000
