=== debian/control ===
--- 
+++ 
@@ -1,13 +1,15 @@
 Source: bup
 Section: admin
 Priority: extra
-Maintainer: Jon Dowland <jmtd@debian.org>
+Maintainer: Robert S. Edmonds <edmonds@debian.org>
 Build-Depends: debhelper (>= 7.0.50~),
- pandoc [!ia64 !mipsel !s390 !hurd-i386],
- python-dev, python-support,
- git (>= 1:1.7.0.4-2) | git-core
+ pandoc [!ia64 !mips !mipsel !s390 !hurd-i386],
+ python-dev (>= 2.6.6-3~),
+ python-pyxattr, python-pylibacl,
+ git (>= 1:1.7.0.4-2) | git-core,
+ rsync
 Standards-Version: 3.9.3
-Homepage: http://github.com/apenwarr/bup
+Homepage: https://github.com/bup/bup
 Vcs-Git: git://git.debian.org/collab-maint/bup.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/bup.git;a=shortlog;h=refs/heads/debian
