=== debian/rules ===
--- 
+++ 
@@ -7,15 +7,15 @@
 
 override_dh_auto_clean:
 	-rm config/config.cmd config/config.h config/config.log config/config.mak config/config.md config/config.sub config/config.vars
-	dh_auto_clean
+	dh_auto_clean --parallel
 	if test -f lib/bup/_oldversion.py.pre; then \
 		mv lib/bup/_oldversion.py.pre lib/bup/_version.py.pre; \
 	fi
 
 override_dh_auto_test:
 	if [ "`dpkg-architecture -qDEB_BUILD_ARCH`" != "s390" ]; then \
-		dh_auto_test; \
+		dh_auto_test --parallel; \
 	fi
 
 %:
-	dh $@
+	dh $@ --with python2 --parallel
