## bup 0.25

=== Makefile ===
--- 
+++ 
@@ -1,9 +1,15 @@
 OS:=$(shell uname | sed 's/[-_].*//')
-CFLAGS:=-Wall -O2 -Werror $(PYINCLUDE)
+CFLAGS := -Wall -O2 -Werror $(PYINCLUDE) $(CFLAGS)
 SOEXT:=.so
 
 ifeq ($(OS),CYGWIN)
   SOEXT:=.dll
+endif
+
+ifdef TMPDIR
+  test_tmp := $(TMPDIR)
+else
+  test_tmp := $(CURDIR)/t/tmp
 endif
 
 default: all
@@ -34,23 +40,23 @@
 	  $(INSTALL) -m 0644 \
 		Documentation/*.html \
 		$(DOCDIR)
-	$(INSTALL) -m 0755 bup $(BINDIR)
-	$(INSTALL) -m 0755 \
+	$(INSTALL) -pm 0755 bup $(BINDIR)
+	$(INSTALL) -pm 0755 \
 		cmd/bup-* \
 		$(LIBDIR)/cmd
-	$(INSTALL) -m 0644 \
+	$(INSTALL) -pm 0644 \
 		lib/bup/*.py \
 		$(LIBDIR)/bup
-	$(INSTALL) -m 0755 \
+	$(INSTALL) -pm 0755 \
 		lib/bup/*$(SOEXT) \
 		$(LIBDIR)/bup
-	$(INSTALL) -m 0644 \
+	$(INSTALL) -pm 0644 \
 		lib/tornado/*.py \
 		$(LIBDIR)/tornado
-	$(INSTALL) -m 0644 \
+	$(INSTALL) -pm 0644 \
 		lib/web/static/* \
 		$(LIBDIR)/web/static/
-	$(INSTALL) -m 0644 \
+	$(INSTALL) -pm 0644 \
 		lib/web/*.html \
 		$(LIBDIR)/web/
 %/all:
@@ -80,17 +86,20 @@
 runtests: all runtests-python runtests-cmdline
 
 runtests-python: all
-	$(PYTHON) wvtest.py \
-		$(wildcard t/t*.py) \
-		$(filter-out lib/bup/t/tmetadata.py,$(wildcard lib/*/t/t*.py))
-	$(PYTHON) wvtest.py lib/bup/t/tmetadata.py
+	test -e t/tmp || mkdir t/tmp
+	TMPDIR="$(test_tmp)" $(PYTHON) wvtest.py t/t*.py lib/*/t/t*.py
 
 runtests-cmdline: all
-	t/test-index-check-device.sh
-	t/test-meta.sh
-	t/test-restore-single-file.sh
-	t/test-rm-between-index-and-save.sh
-	t/test.sh
+	test -e t/tmp || mkdir t/tmp
+	TMPDIR="$(test_tmp)" t/test-cat-file.sh
+	TMPDIR="$(test_tmp)" t/test-index-check-device.sh
+	TMPDIR="$(test_tmp)" t/test-meta.sh
+	TMPDIR="$(test_tmp)" t/test-restore-map-owner.sh
+	TMPDIR="$(test_tmp)" t/test-restore-single-file.sh
+	TMPDIR="$(test_tmp)" t/test-rm-between-index-and-save.sh
+	TMPDIR="$(test_tmp)" t/test-command-without-init-fails.sh
+	TMPDIR="$(test_tmp)" t/test-redundant-saves.sh
+	TMPDIR="$(test_tmp)" t/test.sh
 
 stupid:
 	PATH=/bin:/usr/bin $(MAKE) test
@@ -170,5 +179,5 @@
 	if test -e bupmeta.tmp/testfs-limited; \
 	  then umount bupmeta.tmp/testfs-limited || true; fi
 	rm -rf *.tmp *.tmp.meta t/*.tmp lib/*/*/*.tmp build lib/bup/build lib/bup/t/testfs
-	if test -e t/tmp; then rm -r t/tmp; fi
+	if test -e t/tmp; then t/force-delete t/tmp; fi
 	t/configure-sampledata --clean
