=== debian/changelog ===
bup (0.25-1) unstable; urgency=medium

  * New upstream release.

 -- Robert S. Edmonds <edmonds@debian.org>  Mon, 16 Dec 2013 11:55:58 -0500

bup (0.25~rc5-1) unstable; urgency=medium

  * New upstream release.

 -- Robert S. Edmonds <edmonds@debian.org>  Tue, 10 Dec 2013 14:42:47 -0500

bup (0.25~rc4-1) unstable; urgency=low

  * New upstream release.
  * Increase debhelper compat level to 9.
  * Re-enable python-pylibacl on non-Linux architectures;
    tentatively closes: #726727.

 -- Robert S. Edmonds <edmonds@debian.org>  Fri, 15 Nov 2013 14:31:34 -0500

bup (0.25~rc3-1) unstable; urgency=low

  * New upstream release.

 -- Robert S. Edmonds <edmonds@debian.org>  Tue, 24 Sep 2013 19:08:12 -0400

bup (0.25~rc2-3) unstable; urgency=low

  * Build-Depend and Depend on python-pylibacl and python-pyxattr only on
    linux-any.
  * Build-Depend and Depend on par2 only on !hurd-i386.
  * Add Build-Depends-Indep on pandoc-data due to pandoc/pandoc-data binary
    package split.

 -- Robert S. Edmonds <edmonds@debian.org>  Sun, 01 Sep 2013 14:40:26 -0400

bup (0.25~rc2-2) unstable; urgency=low

  * Fold bup-fuse and bup-web back into the main 'bup' package at the
    suggestion of the Debian FTP Masters.
  * Demote the Depends on python-fuse (for 'bup fuse') and python-tornado
    (for 'bup web') to Recommends, since these scripts have import guards
    and will print a proper error message if these packages aren't installed.

 -- Robert S. Edmonds <edmonds@debian.org>  Sat, 10 Aug 2013 17:13:36 -0400

bup (0.25~rc2-1) unstable; urgency=low

  * New upstream release.
  * New binary packages:
    - bup-doc
    - bup-fuse
    - bup-web
  * Add dependency on python-pylibacl, python-pyxattr, in order to backup
    file metadata.
  * Promote dependency on par2 from Recommends to Depends.

 -- Robert S. Edmonds <edmonds@debian.org>  Thu, 08 Aug 2013 22:00:57 -0400
