=== debian/control ===
Source: bup
Section: admin
Priority: extra
Maintainer: Robert S. Edmonds <edmonds@debian.org>
Build-Depends: debhelper (>= 9~), dctrl-tools,
 python-dev (>= 2.6.6-3~),
 python-pylibacl,
 python-pyxattr [linux-any],
 git,
 par2 [!hurd-i386],
 rsync
Build-Depends-Indep: pandoc (>= 1.11.1-4~), pandoc-data (>= 1.11.1-4~)
Standards-Version: 3.9.4
Homepage: https://github.com/bup/bup
Vcs-Git: git://anonscm.debian.org/collab-maint/bup.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/bup.git;a=shortlog;h=refs/heads/debian

Package: bup
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python,
 git, par2 [!hurd-i386], python-pylibacl, python-pyxattr [linux-any]
Recommends: bup-doc, python-fuse, python-tornado
Description: highly efficient file backup system based on git
 bup is a backup tool which stores the backups in a system based around
 the packfile format from git.

Package: bup-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Breaks: bup (<< 0.25~rc2-2~)
Replaces: bup (<< 0.25~rc2-2~)
Description: highly efficient file backup system based on git (documentation)
 bup is a backup tool which stores the backups in a system based around
 the packfile format from git.
 .
 This package contains the documentation.
