=== debian/changelog ===
bup (0.27-2) unstable; urgency=medium

  [ Chris Lamb ]
  * debian/gen_version_py.sh: Make the build reproducible (Closes: #792673)

  [ Robert Edmonds ]
  * debian/gbp.conf: Add [dch] section
  * debian/gbp.conf: Move 'debian-branch' setting into [DEFAULT] section
  * debian/: Run "wrap-and-sort -sbt"
  * debian/control: Update Vcs-Browser
  * debian/control: Add dh-python to Build-Depends

 -- Robert Edmonds <edmonds@debian.org>  Sat, 19 Dec 2015 15:16:57 -0500

bup (0.27-1) unstable; urgency=medium

  * New upstream release. (Closes: #787098)
  * Cherry-pick upstream commit cd09571851cd2c1e6e9c7b8195c0bc72ac31ae6a
    ("Update definition lists for pandoc 1.13").
  * Upload to unstable.

 -- Robert Edmonds <edmonds@debian.org>  Sat, 13 Jun 2015 17:11:02 -0400

bup (0.27~rc4-1) experimental; urgency=medium

  * New upstream release.

 -- Robert Edmonds <edmonds@debian.org>  Sun, 29 Mar 2015 21:12:30 -0400

bup (0.27~rc3-1) experimental; urgency=medium

  * New upstream release.

 -- Robert Edmonds <edmonds@debian.org>  Sat, 14 Mar 2015 15:41:36 -0400

bup (0.26-1) unstable; urgency=medium

  * New upstream release.

 -- Robert S. Edmonds <edmonds@debian.org>  Sat, 23 Aug 2014 08:26:03 -0700

bup (0.26~rc1-1) experimental; urgency=medium

  * New upstream release.

 -- Robert S. Edmonds <edmonds@debian.org>  Wed, 28 May 2014 18:57:12 -0400
