=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python2

override_dh_auto_configure:
	./configure

override_dh_auto_build-indep:
	$(MAKE) Documentation/all

override_dh_auto_clean:
	-rm config/config.cmd config/config.h config/config.log config/config.mak config/config.md config/config.sub config/config.vars
	dh_auto_clean
