## bup 0.27.1

=== debian/changelog ===
bup (0.27.1-1) unstable; urgency=medium

  * New upstream release.
  * Upload to unstable.

 -- Robert Edmonds <edmonds@debian.org>  Wed, 18 May 2016 23:00:17 -0400

bup (0.27.1~rc2-2) experimental; urgency=medium

  * Cherry pick 'test_server_split_with_indexes: close packwriter' from
    upstream master.

 -- Robert Edmonds <edmonds@debian.org>  Sun, 15 May 2016 13:39:26 -0400

bup (0.27.1~rc2-1) experimental; urgency=medium

  * New upstream release.

 -- Robert Edmonds <edmonds@debian.org>  Sat, 14 May 2016 18:48:46 -0400
